{% extends "main-template.html" %}{% load static %}
{% block title %}Carrito Pet Shop{% endblock %}
{% block content %}
<body class="galeria">
<link rel="stylesheet" type="text/css" href="{% static 'style/estilo-galeria.css' %}">
    <div class="modal-header d-block">
        <h1><i class="fa-solid fa-cart-arrow-down"></i> Carrito de Productos </h1>
    </div>
    <div class="container-fluid d-flex row justify-content-between alig-items-stretch align-content-center py-5 px-5">
        {% for c in carrito %}
        <ul class="list-group">
            <li class="list-group-item d-flex justify-content-between align-items-start">
                <img src="{{c.url}}" alt="..." width="55px" height="55px">
                <div class="ms-2 me-auto">
                <p class="m-0" style="font-size:10px">CODIGO: #000{{c.codigo}} </p>
                <div class="fw-bold">{{c.nombre}}</div>
                    ${{ c.precio }}
                </div>
                <div class="h-100 d-flex flex-column justify-content-center alig-items-center align-content-center">
                    <span class="badge bg-primary rounded-pill">{{c.cantidad}}</span>
                    <button type="button"  style="color: #ed2423; border:none; background: white;" class="text-center"  data-bs-toggle="modal" 
                    data-bs-target="#mdl-{{c.codigo}}"><i class="fa-regular fa-trash-can"></i></button>
                    <div id="mdl-{{c.codigo}}" class="modal" tabindex="-1">
                        <div class="modal-dialog modal-dialog-centered">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h5 class="modal-title">Quitar Producto <b>#{{c.codigo}}</b></h5>
                                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                </div>
                                <div class="modal-body text-center w-100">
                                    <p>¿Estas seguro que deseas quitar el producto <br> <b>#{{c.codigo}} - {{c.nombre}}</b>?</p>
                                </div>
                                <div class="modal-footer">
                                    <button type="button" class="btn btn-outline-secondary" data-bs-dismiss="modal">Cancelar</button>
                                    <form method="GET" action="">
                                        <input name="id_cart" value="{{c.id_cart}}" hidden />
                                        <button type="submit" class="btn btn-danger">Quitar</button>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </li>
        </ul>
        {% endfor %}
        <div class="w-100 d-flex flex-column justify-content-center align-content-center align-items-center mt-4">
            <h4>Total a Pagar: <b>${{ total }}</b></h4>
            {% if carrito %}
            <a class="mt-2 btn btn-primary" href="/comprar">Comprar</a>
            {% endif %}
        </div>
    </div>
    <script src="{% static 'js/custom/productos.js' %}"></script>
{% endblock %}



</body>